Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.util
Interface InjectorWriteContext

    public interface InjectorWriteContext

Generates Java expressions and statements that perform injection-related duties.

Method Summary
`java.lang.String` | `callChildGetter(GinjectorBindings childBindings, Key<?> key)` Generates a Java expression that evaluates to an injected instance of the given key, as produced by the given child.
`java.lang.String` | `callGetter(Key<?> key)` Generates a Java expression that evaluates to an injected instance of the given key.
`java.lang.String` | `callGinjectorInterfaceGetter()` Generates a Java statement that evaluates to the implementation of the current Ginjector interface.
`java.lang.String` | `callMemberInject(TypeLiteral<?> type, java.lang.String input)` Generates a Java statement (including trailing semicolon) that performs member injection on a value of the given type.
`java.lang.String` | `callMethod(java.lang.String methodName, java.lang.String fragmentPackageName, java.lang.Iterable<java.lang.String> parameters)` Generates a Java expression that evaluates to an invocation of the named method on the given package fragment.
`java.lang.String` | `callParentGetter(Key<?> key, GinjectorBindings parentBindings)` Generates a Java expression that evaluates to an injected instance of the given key, as produced by the given parent injector.

Method Detail

### callGetter

    java.lang.String callGetter(Key<?> key)

  Generates a Java expression that evaluates to an injected instance of the given key.

### callChildGetter

    java.lang.String callChildGetter(GinjectorBindings childBindings,
                                     Key<?> key)

  Generates a Java expression that evaluates to an injected instance of the given key, as produced by the given child.

### callParentGetter

    java.lang.String callParentGetter(Key<?> key,
                                      GinjectorBindings parentBindings)

  Generates a Java expression that evaluates to an injected instance of the given key, as produced by the given parent injector.

### callMemberInject

    java.lang.String callMemberInject(TypeLiteral<?> type,
                                      java.lang.String input)

  Generates a Java statement (including trailing semicolon) that performs member injection on a value of the given type.

  Parameters:
    `type` - the type of value to perform member injection on
    `input` - a Java expression that evaluates to the object that should be member-injected

### callMethod

    java.lang.String callMethod(java.lang.String methodName,
                                java.lang.String fragmentPackageName,
                                java.lang.Iterable<java.lang.String> parameters)

  Generates a Java expression that evaluates to an invocation of the named method on the given package fragment.

  Used when generating an intermediate invoker method; see `MethodCallUtil.createMethodCallWithInjection(com.google.gwt.inject.rebind.reflect.MethodLiteral, java.lang.String, com.google.gwt.inject.rebind.util.NameGenerator, java.util.List)`.

### callGinjectorInterfaceGetter

    java.lang.String callGinjectorInterfaceGetter()

  Generates a Java statement that evaluates to the implementation of the current Ginjector interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD